Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.ui
Interface IJavaDebugUIConstants

public interface IJavaDebugUIConstants

Constant definitions for Java debug UI plug-in.

Clients are not intended to implement this interface; constant definitions only.

Since:
  2.0

Field Summary
`static String` | `EVALUATION_GROUP` Identifier for a group of evaluation actions in a menu (value `"evaluationGroup"`).
`static String` | `EXTENSION_POINT_VM_INSTALL_TYPE_PAGE` Extension point identifier for contributions of a UI page that corresponds to a VMInstallType (value `"vmInstallTypePage"`).
`static String` | `ID_DISPLAY_VIEW` Display view identifier (value `"org.eclipse.jdt.debug.ui.DisplayView"`).
`static String` | `ID_JAVA_SNIPPET_EDITOR` Java snippet editor identifier (value `"org.eclipse.jdt.debug.ui.SnippetEditor"`)
`static int` | `INTERNAL_ERROR` Status code indicating an unexpected internal error (value `150`).
`static String` | `JAVA_SNIPPET_EDITOR_CONTEXT_MENU` Java snippet editor context menu identifier (value `"#JavaSnippetEditorContext"`).
`static String` | `JAVA_SNIPPET_EDITOR_RULER_MENU` Java snippet editor ruler menu identifier (value `"#JavaSnippetRulerContext"`).
`static String` | `PLUGIN_ID` Plug-in identifier for the Java Debug UI

Field Detail

### PLUGIN_ID

    public static final String PLUGIN_ID

  Plug-in identifier for the Java Debug UI

### EXTENSION_POINT_VM_INSTALL_TYPE_PAGE

    public static final String EXTENSION_POINT_VM_INSTALL_TYPE_PAGE

  Extension point identifier for contributions of a UI page that corresponds to a VMInstallType (value `"vmInstallTypePage"`).

  See Also:
    Constant Field Values

### ID_DISPLAY_VIEW

    public static final String ID_DISPLAY_VIEW

  Display view identifier (value `"org.eclipse.jdt.debug.ui.DisplayView"`).

### ID_JAVA_SNIPPET_EDITOR

    public static final String ID_JAVA_SNIPPET_EDITOR

  Java snippet editor identifier (value `"org.eclipse.jdt.debug.ui.SnippetEditor"`)

### JAVA_SNIPPET_EDITOR_CONTEXT_MENU

    public static final String JAVA_SNIPPET_EDITOR_CONTEXT_MENU

  Java snippet editor context menu identifier (value `"#JavaSnippetEditorContext"`).

  See Also:
    Constant Field Values

### JAVA_SNIPPET_EDITOR_RULER_MENU

    public static final String JAVA_SNIPPET_EDITOR_RULER_MENU

  Java snippet editor ruler menu identifier (value `"#JavaSnippetRulerContext"`).

  See Also:
    Constant Field Values

### EVALUATION_GROUP

    public static final String EVALUATION_GROUP

  Identifier for a group of evaluation actions in a menu (value `"evaluationGroup"`).

  See Also:
    Constant Field Values

### INTERNAL_ERROR

    public static final int INTERNAL_ERROR

  Status code indicating an unexpected internal error (value `150`).

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.